curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/beneficiaries \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/beneficiaries"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/beneficiaries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/beneficiaries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/beneficiaries")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/beneficiaries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"additional_info": {
"id_number": "",
"id_type": "",
"msisdn": "",
"organization_code": "",
"proxy_id": "",
"tax_id": ""
},
"address": {
"city": "",
"country": "SG",
"nationality": "",
"postal_code": "",
"state": "",
"street_address": ""
},
"bank_details": {
"account_currency_code": "SGD",
"account_holder": "UQPAY PTE. LTD.",
"account_number": "11020075767",
"bank_address": "MAPLETREE BUSINESS CITY 20 PASIR PANJANG ROAD 07-25/28 SINGAPORE",
"bank_country_code": "SG",
"bank_name": "GREEN LINK DIGITAL BANK",
"clearing_system": "FAST",
"iban": "",
"routing_code_type1": "",
"routing_code_type2": "",
"routing_code_value1": "",
"routing_code_value2": "",
"swift_code": "GLDTSGSGXXX"
},
"beneficiary_id": "285d9110-ed8e-4bb3-b206-f0a7d6d4aaeb",
"beneficiary_status": "ACTIVE",
"company_name": "UQPAY PTE. LTD.",
"create_time": "2026-09-11T17:10:57+08:00",
"email": "",
"entity_type": "COMPANY",
"first_name": "",
"id_number": "",
"last_name": "",
"nickname": "sr08-d4dc6ae9",
"payment_method": "LOCAL",
"short_reference_id": "BF260911-OGJMC98L",
"summary": "",
"update_time": "0001-01-01T00:00:00Z"
}
],
"total_items": 1,
"total_pages": 1
}List Beneficiaries
List saved beneficiaries with pagination. Filter by entity type, nickname, currency, company name, or payment method to find the beneficiary for a payout.
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/beneficiaries \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/beneficiaries"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/beneficiaries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/beneficiaries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/beneficiaries")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/beneficiaries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"additional_info": {
"id_number": "",
"id_type": "",
"msisdn": "",
"organization_code": "",
"proxy_id": "",
"tax_id": ""
},
"address": {
"city": "",
"country": "SG",
"nationality": "",
"postal_code": "",
"state": "",
"street_address": ""
},
"bank_details": {
"account_currency_code": "SGD",
"account_holder": "UQPAY PTE. LTD.",
"account_number": "11020075767",
"bank_address": "MAPLETREE BUSINESS CITY 20 PASIR PANJANG ROAD 07-25/28 SINGAPORE",
"bank_country_code": "SG",
"bank_name": "GREEN LINK DIGITAL BANK",
"clearing_system": "FAST",
"iban": "",
"routing_code_type1": "",
"routing_code_type2": "",
"routing_code_value1": "",
"routing_code_value2": "",
"swift_code": "GLDTSGSGXXX"
},
"beneficiary_id": "285d9110-ed8e-4bb3-b206-f0a7d6d4aaeb",
"beneficiary_status": "ACTIVE",
"company_name": "UQPAY PTE. LTD.",
"create_time": "2026-09-11T17:10:57+08:00",
"email": "",
"entity_type": "COMPANY",
"first_name": "",
"id_number": "",
"last_name": "",
"nickname": "sr08-d4dc6ae9",
"payment_method": "LOCAL",
"short_reference_id": "BF260911-OGJMC98L",
"summary": "",
"update_time": "0001-01-01T00:00:00Z"
}
],
"total_items": 1,
"total_pages": 1
}Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Query Parameters
The maximum number of items to return per page. Must be between 1 and 100, inclusive.
1 <= x <= 10010
The page number to retrieve a specific set of items. Must be 1 or greater.
x >= 11
Specifies the type of beneficiary entity to filter by. Valid values are:
COMPANY: corporate entitiesINDIVIDUAL: personal accounts
COMPANY, INDIVIDUAL "COMPANY"
Nickname of the beneficiary Nickname of the beneficiary.
120"John Doe"
Company of the beneficiary Company name of the beneficiary, only exist when the entity_type is COMPANY.
-
When
payment_method = SWIFT:- Only English letters, numbers, special characters (half-width format), and spaces can be included.
- Allowed special characters:
-_().,@#~ ! $ % ^ & * + = { } [ ] \ | : " ' < > ? /・……
-
When
payment_method = LOCAL:- No strict validation rules apply, local language characters are supported.
-
No need to pass this field when
bank_details.bank_country_code = SG&bank_details.account_currency_code = SGD -
When
bank_country_code = CN&account_currency_code = CNH&payment_method = LOCAL&entity_type = COMPANY, Chinese characters and Chinese parentheses()are supported.
120^[a-zA-Z0-9 -_().,@#~!$%^&*+={}\|:"'<>?/・……]*$"UQPAY TECHNOLOGY SG PTE LTD"
Filter by beneficiary payment method.
LOCAL, SWIFT, CARD Response
OK - Successfully retrieved a list of beneficiaries.
The total number of pages of available items.
10
The total counts of available items.
105
- LOCAL SGD beneficiary with a bank in SG
- Beneficiary with a complete address
- Mastercard beneficiary
Show child attributes
Show child attributes

